<?php
// Pega o valor do amount da URL e valida
$amount = isset($_GET['amount']) ? floatval($_GET['amount']) : 501;

// Dados para o corpo da requisição (Body) com a nova estrutura
$data = [
    "name" => "string",
    "email" => "user@example.com",
    "cpf" => "99771229250",
    "phone" => "51469458",
    "paymentMethod" => "PIX",
    "creditCard" => [
        "token" => "string",
        "installments" => 12,
        "number" => "string",
        "holder_name" => "string",
        "cvv" => "string",
        "expiration_month" => "string",
        "expiration_year" => "string"
    ],
    "cep" => "string",
    "complement" => "string",
    "number" => "string",
    "street" => "string",
    "district" => "string",
    "city" => "string",
    "state" => "string",
    "utmQuery" => "string",
    "checkoutUrl" => "string",
    "referrerUrl" => "string",
    "externalId" => "string",
    "postbackUrl" => "string",
    "amount" => $amount, // Valor dinâmico vindo da URL
    "traceable" => true,
    "items" => [
        [
            "unitPrice" => 1,
            "title" => "string",
            "quantity" => 1,
            "tangible" => true
        ]
    ]
];

// Converte o array para JSON
$json_data = json_encode($data);

// URL da API de pagamento
$api_url = "https://pay.blinkybr.com/api/v1/transaction.purchase";

// Inicializa o cURL
$ch = curl_init($api_url);

// Configurações do cURL
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: 6d493752-22b6-44c5-a298-2d2d36152455",
    "Content-Type: application/json"
]);

// Executa a requisição
$response = curl_exec($ch);

// Verifica se houve erro na requisição
if (curl_errno($ch)) {
    echo "Erro cURL: " . curl_error($ch);
} else {
    // Converte a resposta JSON para array
    $response_data = json_decode($response, true);

    // Verifica se o pixCode está presente na resposta
    if (isset($response_data['pixCode'])) {
        // Redireciona para a index.php com o pixCode como parâmetro na URL
        header("Location: index.php?pixCode=" . urlencode($response_data['pixCode']));
        exit();
    } else {
        echo "Erro: PixCode não encontrado na resposta da API.";
    }
}

// Fecha a conexão cURL
curl_close($ch);
?>
